#!/bin/sh
#
# $Id: test_several_codecs.sh,v 1.6 2006/03/07 16:55:07 roca Exp $
#
#  Copyright (c) 2002-2006 INRIA - All rights reserved
#  (main author: Vincent Roca - vincent.roca@inrialpes.fr)
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
#  USA.


# test the LDGM codec with an application that opens/closes encoding sessions

host_name=`uname -s`


case ${host_name} in

	Linux)
	bin_path="../bin/linux/perf_tool2"
	;;
	SunOS)
	bin_path="../bin/solaris/perf_tool2"
	;;
	FreeBSD)
	bin_path="../bin/freebsd/perf_tool2"
	;;
	# other OS???? todo
esac

# for debug...
verbosity=''
#verbosity='-v1'
#verbosity='-v2'

echo ""
echo "Running perf_tool2 for LDGM"
${bin_path} ${verbosity} -c0 -k20000 -r10000 -l7
val=$?

echo "returns ${val}"
if [ ${val} -ne 0 ] ; then
	exit 1
fi


echo ""
echo "Running perf_tool2 for LDPC Staircase"
${bin_path} ${verbosity} -c1 -k20000 -r10000
val=$?

echo "returns ${val}"
if [ ${val} -ne 0 ] ; then
	exit 1
fi


echo ""
echo "Running perf_tool2 for LDPC Triangle"
${bin_path} ${verbosity} -c2 -k20000 -r10000
val=$?

echo "returns ${val}"
if [ ${val} -ne 0 ] ; then
	exit 1
fi


# ok, no problem
exit 0
